//
//  GetSocialAction.h
//  GetSocial
//
//  Copyright © 2018 GetSocial BV. All rights reserved.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

typedef NSString *GetSocialActionType NS_EXTENSIBLE_STRING_ENUM;

extern GetSocialActionType GetSocialActionCustom;
extern GetSocialActionType GetSocialActionOpenProfile;
extern GetSocialActionType GetSocialActionOpenActivity;
extern GetSocialActionType GetSocialActionOpenInvites;
extern GetSocialActionType GetSocialActionOpenUrl;

#pragma mark - GetSocial Action Data Key

typedef NSString *GetSocialActionDataKey NS_EXTENSIBLE_STRING_ENUM;

#pragma mark - GetSocial OpenActivity Action Data Keys

/*!
 * GetSocialActionDataKey_OpenActivity_ActivityId and GetSocialActionDataKey_OpenActivity_FeedName are mutually exclusive.
 */
extern GetSocialActionDataKey GetSocialActionDataKey_OpenActivity_ActivityId;

/*!
 * Optional. Can be present with GetSocialActionDataKey_OpenActivity_ActivityId only.
 */
extern GetSocialActionDataKey GetSocialActionDataKey_OpenActivity_CommentId;

/*!
 * GetSocialActionDataKey_OpenActivity_ActivityId and GetSocialActionDataKey_OpenActivity_FeedName are mutually exclusive.
 */
extern GetSocialActionDataKey GetSocialActionDataKey_OpenActivity_FeedName;

#pragma mark - GetSocial OpenProfile Action Data Keys

/*!
 * ID of user to be opened.
 */
extern GetSocialActionDataKey GetSocialActionDataKey_OpenProfile_UserId;

#pragma mark - GetSocial OpenUrl Action Data Keys

/*!
 * URL to be opened.
 */
extern GetSocialActionDataKey GetSocialActionDataKey_OpenUrl_Url;

@interface GetSocialAction : NSObject

@property (nonatomic, readonly) GetSocialActionType type;
@property (nonatomic, readonly) NSDictionary<GetSocialActionDataKey, NSString *> *data;

@end

NS_ASSUME_NONNULL_END
